Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaClassPrepareBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint

public interface IJavaClassPrepareBreakpoint
extends IJavaBreakpoint

A breakpoint that suspends execution when a class is prepared in a target VM.

Since:
  3.0

Field Summary
`static int` | `TYPE_CLASS` Constant indicating a class prepare breakpoint is associated with a class type.
`static int` | `TYPE_INTERFACE` Constant indicating a class prepare breakpoint is associated with an interface type.

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`int` | `getMemberType()` Returns a constant indicating what kind of type this breakpoint is associated with.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE_CLASS

    public static final int TYPE_CLASS

  Constant indicating a class prepare breakpoint is associated with a class type.

  See Also:
    Constant Field Values

### TYPE_INTERFACE

    public static final int TYPE_INTERFACE

  Constant indicating a class prepare breakpoint is associated with an interface type.

  See Also:
    Constant Field Values

Method Detail

### getMemberType

    public int getMemberType()
                      throws CoreException

  Returns a constant indicating what kind of type this breakpoint is associated with.

  Returns:
    one of `TYPE_CLASS` or `TYPE_INTERFACE`
  Throws:
    `CoreException` - if unable to retrieve the attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.